Llamarada

Tomar de la élite lo que pertenece a todos

Ahn Create Fails With Can't Activate Activesupport (~> 2.3.5, Runtime)

| Comments

There is an incompatibility between Adhearsion 1.0 and Rails 3.X, namely Adhearsion uses rubigen to generate the Adhearsion directory structure for both the ahn app and any component, rubigen 1.5.5 is the latest version but it requires activesupport ~> 2.3.5. Even if you have a perfectly good activesupport 3.X installed rubigen will not use it, and ahn create will fail.

adhearsion - rails 3 rubigen fix
1
2
sudo gem uninstall rubigen -v 1.5.5
sudo gem install rubigen -v 1.5.2

Now watch in awe whileahn creates your app skeleton! bklang, our project maintainer has made a pull request to the rubigen maintainer Dr Nic, so hopefully sooner or later a newer version of rubigen will make this unnecessary.

Comments